Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Evaluate a report by its type.

Evaluate a report by its type. Evaluate the architecture report by a given report name. The resulting chart data depends on the reportType. The resulting content in the chart depends on the ACCEPT-LANGUAGE header: its first entry decides, without region and quality value (de-CH as de); German without a header or with an entry that names no language.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/architectureReports/evaluate
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

Warehouse-Id

Query-Parameter
reportTypeArchitectureReportTypeerforderlich

Type of the report to evaluate

Erlaubt:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
Antworten
200

Result of the report evaluation as Chart

dataChartDataerforderlich
Eigenschaften anzeigen
typestringerforderlich
reportTypeArchitectureReportTypeerforderlich
Erlaubt:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
403

Forbidden: evaluation not included in the edition

string
404

Warehouse or report type not found

string
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/architectureReports/evaluate?reportType=ArchitectureElementsWithInvalidRelationships' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
{
  "data": {
    "type": "string"
  },
  "reportType": "ArchitectureElementsWithInvalidRelationships"
}